Runtime

## org.eclipse.gmf.runtime.notation
Interface FillStyle

All Superinterfaces:
  EObject, Notifier, Style

All Known Subinterfaces:
  ShapeStyle

All Known Implementing Classes:
  FillStyleImpl, ShapeStyleImpl

public interface FillStyle
extends Style

A representation of the model object 'Fill Style'.

The fill style is a style to specify the fill properties of a node

The following features are supported:

- `Fill Color`

See Also:
  `NotationPackage.getFillStyle()`
** Generated **
Model:

Method Summary
`int` `getFillColor()` Returns the value of the 'Fill Color' attribute.
`void` `setFillColor(int value)` Sets the value of the '`Fill Color`' attribute

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Method Detail

### getFillColor

    public int getFillColor()

  Returns the value of the 'Fill Color' attribute. The default value is `"16777215"`.

  The fill color is the color used in painting the background of node visuals

  Returns:
    the value of the 'Fill Color' attribute.
  See Also:
    `FillStyle.setFillColor(int)`, `NotationPackage.getFillStyle_FillColor()`
  ** Generated **
  Model:
    default="16777215"

### setFillColor

    public void setFillColor(int value)

  Sets the value of the '`Fill Color`' attribute.

  The fill color is the color used in painting the background of node visuals

  Parameters:
    `value` - the new value of the 'Fill Color' attribute.
  See Also:
    `FillStyle.getFillColor()`
  ** Generated **

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.